/* -----------------------------------------------------------------------------
*
*  nplinux.c
*
*  ANTz - realtime 3D data visualization tools for the real-world, based on NPE.
*
*  ANTz is hosted at http://openantz.com and NPE at http://neuralphysics.org
*
*  Written in 2010-2012 by Shane Saxon - contact@saxondigital.net
*
*  Please see main.c for a complete list of additional code contributors.
*
*  To the extent possible under law, the author(s) have dedicated all copyright 
*  and related and neighboring rights to this software to the public domain
*  worldwide. This software is distributed without any warranty.
*
*  Released under the CC0 license, which is GPL compatible.
*
*  You should have received a copy of the CC0 Public Domain Dedication along
*  with this software (license file named COPYING.txt). If not, see
*  http://creativecommons.org/publicdomain/zero/1.0/
*
* --------------------------------------------------------------------------- */

#include "nplinux.h"

#include "../../npdata.h"

#ifdef NP_LINUX_

#include <stdio.h>
#include <time.h>                // for gettimeofday()
// #include <unistd.h>			//debug zz

// current working directory is OS specific
//-----------------------------------------------------------------------------
void npLinuxGetCWD (char* buffer, int* size)
{
	getcwd (buffer, size);
}

//-----------------------------------------------------------------------------
double npLinuxGetTime (void)									//untested, debug zz
{
    timeval microSecs;
	
	// get time of day in micro seconds
    gettimeofday(&microSecs, NULL);

	// convert us to seconds
	return (double)microSecs * 1000000.0;
}

//-----------------------------------------------------------------------------
void npLinuxUpdateTime (void* dataRef)										//debug zz
{
    timeval microSecs;
	pData data = (pData) dataRef;
	
	double seconds;
	
	// get time of day in micro seconds
    gettimeofday(&microSecs, NULL);

	// convert us to seconds
	seconds = (double)microSecs * 1000000.0;

	if (data->io.timeStart == 0.0)
		data->io.timeStart = seconds;
	else
		data->io.cycleDelta = seconds - data->io.time;
	
	data->io.time = seconds;

	//need to handle the clock rolling over at midnight,					debug zz
}

//-----------------------------------------------------------------------------
void npLinuxSleep (double seconds)
{
	return;																//debug zz
}

//-----------------------------------------------------------------------------
FILE* npLinuxFileDialog (const char* fileName, int dialogType, void* dataRef)
{
	return;																//debug zz
}

//-----------------------------------------------------------------------------
void npLinuxTimeStampCSV (char* fileName)
{
	return;																//debug zz
}

//-----------------------------------------------------------------------------
void npLinuxSetCursorPos (int x, int y)
{
	return;																//debug zz
}

//-----------------------------------------------------------------------------
void npLinuxShowCursor (int hide)
{
	return;																//debug zz
}


#endif

